メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
prompts
/
rendering
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
    prompts "github.com/auth0/go-auth0/management/management/prompts"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &prompts.ListAculsRequestParameters{
        Fields: management.String(
            "fields",
        ),
        IncludeFields: management.Bool(
            true,
        ),
        Page: management.Int(
            1,
        ),
        PerPage: management.Int(
            1,
        ),
        IncludeTotals: management.Bool(
            true,
        ),
        Prompt: management.String(
            "prompt",
        ),
        Screen: management.String(
            "screen",
        ),
        RenderingMode: management.AculRenderingModeEnumAdvanced.Ptr(),
    }
    client.Prompts.Rendering.List(
        context.TODO(),
        request,
    )
}
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.prompts.rendering.list({
fields: "fields",
includeFields: true,
page: 1,
perPage: 1,
includeTotals: true,
prompt: "prompt",
screen: "screen",
renderingMode: "advanced",
});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.prompts.rendering.list({
fields: "fields",
includeFields: true,
page: 1,
perPage: 1,
includeTotals: true,
prompt: "prompt",
screen: "screen",
renderingMode: "advanced",
});
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/prompts/rendering \
--header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/prompts/rendering"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


[
  {
    "tenant": "<string>",
    "prompt": "<string>",
    "screen": "<string>",
    "context_configuration": [],
    "default_head_tags_disabled": false,
    "use_page_template": false,
    "head_tags": [
      {
        "tag": "<string>",
        "attributes": {},
        "content": "<string>"
      }
    ],
    "filters": {
      "clients": [
        {
          "id": "<string>"
        }
      ],
      "organizations": [
        {
          "id": "<string>"
        }
      ],
      "domains": [
        {
          "id": "<string>"
        }
      ]
    }
  }
]

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

fields
string

Comma-separated list of fields to include or exclude (based on value provided for include_fields) in the result. Leave empty to retrieve all fields.

include_fields
boolean

Whether specified fields are to be included (default: true) or excluded (false).

page
integer

Page index of the results to return. First page is 0.

必須範囲: x >= 0
per_page
integer

Number of results per page. Maximum value is 100, default value is 50.

必須範囲: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total configuration count (true) or as a direct array of results (false, default).

prompt
string

Name of the prompt to filter by

screen
string

Name of the screen to filter by

rendering_mode
enum<string>

Rendering mode to filter by

利用可能なオプション:
advanced,
standard

レスポンス

ACUL settings successfully retrieved.

tenant
string

Tenant ID

prompt
string

Name of the prompt

screen
string

Name of the screen

rendering_mode
enum<string>

Rendering mode

利用可能なオプション:
advanced,
standard
context_configuration
enum<string> · string · string · string · string · string · string[] | null

Context values to make available

Static context values

利用可能なオプション:
branding.settings,
branding.themes.default,
client.logo_uri,
client.description,
organization.display_name,
organization.branding,
screen.texts,
tenant.name,
tenant.friendly_name,
tenant.logo_url,
tenant.enabled_locales,
untrusted_data.submitted_form_data,
untrusted_data.authorization_params.login_hint,
untrusted_data.authorization_params.screen_hint,
untrusted_data.authorization_params.ui_locales,
user.organizations,
transaction.custom_domain.domain,
experiment
default_head_tags_disabled
boolean | null
デフォルト:false

Override Universal Login default head tags

use_page_template
boolean | null
デフォルト:false

Use page template with ACUL

head_tags
object[] | null

An array of head tags

filters
object | null

Optional filters to apply rendering rules to specific entities